<template>
<div id="loading-infos">
    <b-progress v-if="show" :max="100" striped :animated="true">
      <b-progress-bar :value="100" :label="nbtileLoading"></b-progress-bar>
    </b-progress>
</div>
</template>

<script lang="ts">

import Component from 'vue-class-component';
import PluginComponent from '@/components/plugins/PluginComponent';
import LayerManager from '@/services/LayerManager';

@Component({
  props: {
  },
  components: {
  },
})
export default class LoadingInfosPlugin extends PluginComponent {
  layerManager:LayerManager|null = null;

  mounted():void {
    this.layerManager = this.getMapService().layerManager;
  }

  get show():boolean {
    return this.layerManager?.nbtileLoading !== undefined && this.layerManager?.nbtileLoading > 0;
  }

  get nbtileLoading():string {
    return `${this.layerManager?.nbtileLoading}`;
  }
}
</script>

<style scoped lang="less">
#loading-infos{
  min-width: 100px;

}

</style>
